Skip to main content
POST
Create share link
Mints a public /s/<token>/ link. Anyone with the URL can read the document. The token is the secret.

Authorizations

Authorization
string
header
required

Extract API key (sk-abacus-*)

Path Parameters

id
integer
required

Body

application/json

Write serializer for creating a ShareLink.

include_chat_history
boolean
default:false
expires_in_days
integer | null
Required range: 1 <= x <= 365

Response

Read serializer for ShareLink — exposes url as an absolute URI.

id
integer
required
read-only
token
string
required
read-only
url
string
required
read-only
created_at
string<date-time>
required
read-only
access_count
integer
Required range: 0 <= x <= 2147483647
revoked
boolean
expires_at
string<date-time> | null
include_chat_history
boolean